Skip to main content
GET
/
models
/
manufacturer
/
{manufacturer_id}
Models by Manufacturer
curl --request GET \
  --url https://api.remapdb.com/v1/models/manufacturer/{manufacturer_id} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "A4",
    "slug": "a4",
    "photo": "https://cdn.remapdb.com/api/generations/audi_a4_b9_fl.jpg",
    "type": {
      "id": 1,
      "name": "Cars & LCV"
    },
    "manufacturer": {
      "id": 1234,
      "name": "Audi"
    }
  },
  {
    "id": 456,
    "name": "A5",
    "slug": "a5",
    "photo": "https://cdn.remapdb.com/api/generations/audi_a5_b9.jpg",
    "type": {
      "id": 1,
      "name": "Cars & LCV"
    },
    "manufacturer": {
      "id": 1234,
      "name": "Audi"
    }
  }
]

Authorizations

Authorization
string
header
required

All API methods require Bearer authentication. Use your existing API key as the bearer token.

Authorization header format: Authorization: Bearer YOUR_API_KEY.

Headers

Accept-Language
enum<string>

Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.

Available options:
bg,
da,
de,
en,
es,
et,
fi,
fr,
hr,
it,
lt,
lv,
nb,
nl,
nn,
pt,
ru,
sv,
tr,
zs
Example:

"en"

Path Parameters

manufacturer_id
integer<int32>
required

Manufacturer ID.

Required range: 1 <= x <= 2147483647
Example:

1234

Response

Success

Maximum array length: 1000
id
integer

Model ID.

Example:

123

manufacturer
Manufacturer · object

Manufacturer object

name
string

Model Name.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"A4"

photo
string

Link to model's photo.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"https://cdn.remapdb.com/api/generations/audi_a4_b9_fl.jpg"

slug
string

URL-friendly name (slug).

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"a4"

type
Vehicle type · object

Vehicle type object